polybori::groebner::LLReduction< have_redsb, single_call_for_noredsb, fast_multiplication > Class Template Reference

This class defines LLReduction. More...

`#include <LLReduction.h>`

## Public Member Functions

template<class RingType >
| LLReduction (const RingType &ring)
Polynomial | multiply (const Polynomial &p, const Polynomial &q)
Polynomial | operator() (const Polynomial &p, MonomialSet::navigator r_nav)

## Protected Types

typedef polybori::CacheManager< CCacheTypes::ll_red_nf > | cache_mgr_type

## Protected Attributes

cache_mgr_type | cache_mgr

## Detailed Description

### template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>
class polybori::groebner::LLReduction< have_redsb, single_call_for_noredsb, fast_multiplication >

This class defines LLReduction.

## Member Typedef Documentation

template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>

typedef polybori ::CacheManager<CCacheTypes::ll_red_nf> polybori::groebner::LLReduction< have_redsb, single_call_for_noredsb, fast_multiplication >::cache_mgr_type

protected

## Constructor & Destructor Documentation

template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>
template<class RingType >

polybori::groebner::LLReduction< have_redsb, single_call_for_noredsb, fast_multiplication >::LLReduction | ( | const RingType & | ring | ) |

inline

## Member Function Documentation

template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>

Polynomial polybori::groebner::LLReduction< have_redsb, single_call_for_noredsb, fast_multiplication >::multiply | ( | const Polynomial & | p,
|  | const Polynomial & | q
| ) |  |

inline

References polybori::BoolePolynomial::navigation(), and polybori::BoolePolynomial::ring().

template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>

Polynomial polybori::groebner::LLReduction< have_redsb, single_call_for_noredsb, fast_multiplication >::operator() | ( | const Polynomial & | p,
|  | MonomialSet::navigator | r_nav
| ) |  |

References polybori::CCuddNavigator::incrementThen(), polybori::groebner::multiply(), PBORI_ASSERT, PBORI_LIKELY, and PBORI_UNLIKELY.

## Member Data Documentation

template<bool have_redsb, bool single_call_for_noredsb, bool fast_multiplication>

cache_mgr_type polybori::groebner::LLReduction< have_redsb, single_call_for_noredsb, fast_multiplication >::cache_mgr

protected

The documentation for this class was generated from the following file:

- LLReduction.h